Bug 254016 - [NEW PORT] editors/sly-asdf: SLY support for ASDF
Summary: [NEW PORT] editors/sly-asdf: SLY support for ASDF
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Li-Wen Hsu
URL:
Keywords:
Depends on: 253991
Blocks:
  Show dependency treegraph
 
Reported: 2021-03-04 17:45 UTC by Olivier Certner
Modified: 2021-03-16 12:23 UTC (History)
1 user (show)

See Also:


Attachments
SVN diff from ports' root (10.93 KB, patch)
2021-03-04 17:45 UTC, Olivier Certner
no flags Details | Diff
SVN diff from ports' root v2 (7.79 KB, patch)
2021-03-14 22:44 UTC, Olivier Certner
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Olivier Certner 2021-03-04 17:45:09 UTC
Created attachment 222980 [details]
SVN diff from ports' root

Hi,

This is an external contrib for SLY (see bug #253991), a Common Lisp IDE for Emacs.

SVN patch attached.

Regards.
Comment 1 Olivier Certner 2021-03-14 22:44:57 UTC
Created attachment 223271 [details]
SVN diff from ports' root v2

Changes over previous patch:
1. THIS_LISPDIR set to the value without prefix for use in pkg-plist.
Comment 2 Olivier Certner 2021-03-15 13:53:19 UTC
And also,

2. Updated the upstream version, which now includes patches initially part of the port. No functional change.
Comment 3 commit-hook freebsd_committer 2021-03-16 10:39:39 UTC
A commit references this bug:

Author: lwhsu
Date: Tue Mar 16 10:39:35 UTC 2021
New revision: 568552
URL: https://svnweb.freebsd.org/changeset/ports/568552

Log:
  Add editors/sly-asdf: SLY support for ASDF

  PR:		254016
  Submitted by:	Olivier Certner <olivier.freebsd@free.fr>

Changes:
  head/editors/Makefile
  head/editors/sly-asdf/
  head/editors/sly-asdf/Makefile
  head/editors/sly-asdf/distinfo
  head/editors/sly-asdf/files/
  head/editors/sly-asdf/files/patch-README.md
  head/editors/sly-asdf/files/patch-sly-asdf.el
  head/editors/sly-asdf/pkg-descr
  head/editors/sly-asdf/pkg-message
  head/editors/sly-asdf/pkg-plist
Comment 4 Li-Wen Hsu freebsd_committer 2021-03-16 10:40:19 UTC
Committed with minor modification: s/rm -f/${RM}/
Comment 5 Olivier Certner 2021-03-16 12:23:26 UTC
(In reply to Li-Wen Hsu from comment #4)

Yeah, forgot to fix this one... Thanks!